# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "cw-schema-derive"
version = "3.0.7"
authors = ["Aumetra Weisman <aumetra@cryptolab.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Derive macros for cw-schema"
readme = false
license = "Apache-2.0"
repository = "https://github.com/CosmWasm/cosmwasm"

[lib]
name = "cw_schema_derive"
path = "src/lib.rs"
proc-macro = true

[dependencies.heck]
version = "0.5.0"

[dependencies.itertools]
version = "0.13.0"
default-features = false

[dependencies.owo-colors]
version = "4.0.0"
features = ["supports-colors"]

[dependencies.proc-macro2]
version = "1.0.86"
features = ["span-locations"]

[dependencies.quote]
version = "1.0.36"

[dependencies.syn]
version = "2.0.72"
features = ["full"]
